---
type: api
title: Get a monitor
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v9/operation/operation-get-synthetic-monitor
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v9/operation/operation-get-synthetic-monitor
products:
  - Kibana
---

# Get a monitor

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/synthetics/monitors/{id}`
- `GET` `/s/{space_id}/api/synthetics/monitors/{id}`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v9/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v9/authentication#basicauth)

#### Path Parameters

- `id` (string)
  The ID of the monitor.

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

## Responses

#### `200`

A successful response.

`application/json`

Type: `object`

#### `404`

If the monitor is not found, the API returns a 404 error.

## Code Examples

#### Console

```console
GET /api/synthetics/monitors/{id}
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/synthetics/monitors/{id}"
```

## Response Examples

#### Get synthetic monitor response example1

A successful response from `GET /api/synthetics/monitors/<id>`.

```json
{
    "type": "http",
    "enabled": true,
    "alert": {
        "status": {
            "enabled": true
        },
        "tls": {
            "enabled": true
        }
    },
    "schedule": {
        "number": "3",
        "unit": "m"
    },
    "config_id": "a8188705-d01e-4bb6-87a1-64fa5e4b07ec",
    "timeout": "16",
    "name": "am i something",
    "locations": [
        {
            "id": "us_central",
            "label": "North America - US Central",
            "geo": {
                "lat": 41.25,
                "lon": -95.86
            },
            "isServiceManaged": true
        }
    ],
    "namespace": "default",
    "origin": "ui",
    "id": "a8188705-d01e-4bb6-87a1-64fa5e4b07ec",
    "max_attempts": 2,
    "__ui": {
        "is_tls_enabled": false
    },
    "max_redirects": "0",
    "response.include_body": "on_error",
    "response.include_headers": true,
    "check.request.method": "GET",
    "mode": "any",
    "response.include_body_max_bytes": "1024",
    "ipv4": true,
    "ipv6": true,
    "ssl.verification_mode": "full",
    "ssl.supported_protocols": [
        "TLSv1.1",
        "TLSv1.2",
        "TLSv1.3"
    ],
    "revision": 13,
    "created_at": "2023-11-08T08:45:29.334Z",
    "updated_at": "2023-12-18T20:31:44.770Z",
    "url": "https://fast.com"
}
```

